Subject: Re: linux-next: Tree for Feb 7 (fakeroot BROKEN due to SYSV IPC support?)

From: [email-masked] (Eric W. Biederman)
Date: Thu, 07 Feb 2013 03:14:30 -0800

Sedat Dilek <[email-masked]> writes:

> On Thu, Feb 7, 2013 at 11:20 AM, Sedat Dilek <[email-masked]> wrote:
>> On Thu, Feb 7, 2013 at 10:38 AM, Sedat Dilek <[email-masked]> wrote:
>>> On Thu, Feb 7, 2013 at 7:37 AM, Stephen Rothwell <[email-masked]> wrote:
>>>> Hi all,
>>>>
>>>> Changes since 20130206:
>>>>
>>>> Removed tree: kvmtool (still present via the tip tree)
>>>>
>>>> The block tree lost its build failure.
>>>>
>>>> The tip tree gained a conflict against the s390 tree.
>>>>
>>>> The kvm tree gained a conflict against Linus' tree.
>>>>
>>>> The tty tree lost its build failure.
>>>>
>>>> The arm-soc tree gained conflicts against the iommu tree.
>>>>
>>>> The signal tree gained a conflict against the s390 tree.
>>>>
>>>> The akpm tree gained a conflict against the kvm tree and lost its build
>>>> failure.
>>>>
>>>> ----------------------------------------------------------------------------
>>>>
>>>
>>> My build-script uses fakeroot and does no more start:
>>>
>>> $ ./scripts/build_linux-next.sh
>>> make options ...... CC=gcc-4.6 -j4
>>> KBUILD_BUILD_USER=[email-masked]
>>> LOCALVERSION=-next20130207-2-iniza-small
>>> dep-pkg options ... KDEB_PKGVERSION=3.8.0~rc6~next20130207-2~iniza+dileks1
>>> fakeroot, while creating message channels: Invalid argument
>>> This may be due to a lack of SYSV IPC support.
>>> fakeroot: error while starting the `faked' daemon.
>>> kill: usage: kill [-s sigspec | -n signum | -sigspec] pid | jobspec
>>> ... or kill -l [sigspec]
>>>
>>>
>>> Any hints?
>>> ( I could run strace... )
>>>
>>> - Sedat -
>>
>> Attached strace outputs within yesterday's (GOOD) and today's (BAD) Linux-Next.
>>
>> - Sedat -
>
> [ CCing Al and Eric ]
>
> I compared quickly the diff between the -next versions and saw changes
> coming from signal and userns trees.
> ( Sorry for re-attaching the strace outputs. )

It has been about a week and a half since I have pushed anything into
the userns tree, and I don't have anything ipc related in my tree.
So the reason for the suspicion seems odd.

The straces are useless because all they show is that fakeroot was
forked, but there is not a trace of fakeroot itself.

Given the timing my initial suspect would be the idr_preload patches
from Tejun that were merged via Andrew's akpm tree.  I didn't see
anything in there that would kill ipc but that is likely the most recent
touch to the ipc code.

Eric